echo "general {
    grace = 1
}

background {
    monitor =
	#path = screenshot   # screenshot of your desktop
	path = $WALLPAPER   # NOTE only png supported for now
    #color = $color7

    # all these options are taken from hyprland, see https://wiki.hyprland.org/Configuring/Variables/#blur for explanations
    blur_size = 0
    blur_passes = 0 # 0 disables blurring
    noise = 0.0117
    contrast = 1.3000 # Vibrant!!!
    brightness = 0.8000
    vibrancy = 0.2100
    vibrancy_darkness = 0.0
}

input-field {
    monitor =
    size = 250, 50
    outline_thickness = 3
    dots_size = 0.33 # Scale of input-field height, 0.2 - 0.8
    dots_spacing = 0.15 # Scale of dots' absolute size, 0.0 - 1.0
    dots_center = true
    outer_color = #$BG
    inner_color = #$FG
    font_color = #$BLUE
    fade_on_empty = true
    placeholder_text = <i>Password...</i> # Text rendered in the input box when it's empty.
    hide_input = false
    
    position = 0, 200
    halign = center
    valign = bottom
}

# User
label {
    monitor =
    text =    $USER
    color = #$FG
    font_size = 18
    font_family = Inter Display Medium

    position = 0, 100
    halign = center
    valign = bottom
}

# Put a picture of choice here. Default is the current wallpaper
image {
    monitor =
    path = $HOME/Pictures/avatar.png
    size = 230
    rounding = -1
    border_size = 2
    border_color = #$ACCENT
    rotate = 0
    reload_time = -1
    position = 0, 300
    halign = center
    valign = bottom
}" > $HYPRLOCK_CONFIG
